javax.persistence

## Annotation Type Table

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface Table

  Specifies the primary table for the annotated entity. Additional tables may be specified using `SecondaryTable` or `SecondaryTables` annotation.

  If no `Table` annotation is specified for an entity class, the default values apply.

          Example:

          @Entity
          @Table(name="CUST", schema="RECORDS")
          public class Customer { ... }

  Since:
    Java Persistence 1.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `catalog` (Optional) The catalog of the table.
    `Index[]` | `indexes` (Optional) Indexes for the table.
    `String` | `name` (Optional) The name of the table.
    `String` | `schema` (Optional) The schema of the table.
    `UniqueConstraint[]` | `uniqueConstraints` (Optional) Unique constraints that are to be placed on the table.

- - ### Element Detail

    - #### name

          public abstract String name

      (Optional) The name of the table.

      Defaults to the entity name.

      Default:
        ""

    - #### catalog

          public abstract String catalog

      (Optional) The catalog of the table.

      Defaults to the default catalog.

      Default:
        ""

    - #### schema

          public abstract String schema

      (Optional) The schema of the table.

      Defaults to the default schema for user.

      Default:
        ""

    - #### uniqueConstraints

          public abstract UniqueConstraint[] uniqueConstraints

      (Optional) Unique constraints that are to be placed on the table. These are only used if table generation is in effect. These constraints apply in addition to any constraints specified by the `Column` and `JoinColumn` annotations and constraints entailed by primary key mappings.

      Defaults to no additional constraints.

      Default:
        {}

    - #### indexes

          public abstract Index[] indexes

      (Optional) Indexes for the table. These are only used if table generation is in effect. Note that it is not necessary to specify an index for a primary key, as the primary key index will be created automatically.
      Since:
        Java Persistence 2.1
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.